Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredPoints Class Reference

`#include <vtkStructuredPoints.h>`

Inheritance diagram for vtkStructuredPoints:

[legend]
Collaboration diagram for vtkStructuredPoints:

[legend]
List of all members.

## Detailed Description

A subclass of ImageData.

Date:
  2002/11/12 19:21:02

Revision:
  1.79

StructuredPoints is a subclass of ImageData that requires the data extent to exactly match the update extent. Normall image data allows that the data extent may be larger than the update extent. StructuredPoints also defines the origin differently that vtkImageData. For structured points the origin is the location of first point. Whereas images define the origin as the location of point 0, 0, 0. Image Origin is stored in ivar, and structured points have special methods for setting/getting the origin/extents.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (61%)
  - Law, Charles (13%)
  - Martin, Ken (10%)
  - Miller, Jim (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkStructuredPoints.cxx)`
  - .`h` (`/Common/vtkStructuredPoints.h)`

Tests:
  vtkStructuredPoints (Tests)

Definition at line 54 of file vtkStructuredPoints.h.

## Public Types
typedef vtkImageData | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | GetDataObjectType ()
## Static Public Methods
vtkStructuredPoints * | New ()
int | IsTypeOf (const char *type)
vtkStructuredPoints * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredPoints ()
| ~vtkStructuredPoints ()

## Member Typedef Documentation

typedef vtkImageData vtkStructuredPoints::Superclass

| Reimplemented from vtkImageData. Reimplemented in vtkImageCanvasSource2D. Definition at line 58 of file vtkStructuredPoints.h.

## Constructor & Destructor Documentation

vtkStructuredPoints::vtkStructuredPoints | ( |  | ) | `[protected]`

vtkStructuredPoints::~vtkStructuredPoints | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkStructuredPoints.h.

## Member Function Documentation

vtkStructuredPoints* vtkStructuredPoints::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageData. Reimplemented in vtkImageCanvasSource2D.

virtual const char* vtkStructuredPoints::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageData. Reimplemented in vtkImageCanvasSource2D.

int vtkStructuredPoints::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageData. Reimplemented in vtkImageCanvasSource2D.

virtual int vtkStructuredPoints::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageData. Reimplemented in vtkImageCanvasSource2D.

vtkStructuredPoints* vtkStructuredPoints::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageData. Reimplemented in vtkImageCanvasSource2D.

int vtkStructuredPoints::GetDataObjectType | ( |  | ) | `[inline, virtual]`

| To simplify filter superclasses, Reimplemented from vtkImageData. Definition at line 61 of file vtkStructuredPoints.h. References VTK_STRUCTURED_POINTS.

The documentation for this class was generated from the following file:

- Common/vtkStructuredPoints.h